## /inc/tz/expand.php

Description

DAViCal Timezone Service handler - capabilitis

- author: Andrew McMillan <andrew@morphoss.com>
- copyright: Morphoss Ltd
- license: GNU GPL v3 or later

Includes
require_once ('vCalendar.php') (line 12)

DAViCal Timezone Service handler - capabilitis

- author: Andrew McMillan <andrew@morphoss.com>
- copyright: Morphoss Ltd
- license: GNU GPL v3 or later

require_once (RRule-v2.php) (line 13)
Constants
DEBUG_EXPAND = false (line 40)
Functions
expand_timezone_onsets (line 53)

Expand the instances for a STANDARD or DAYLIGHT component of a VTIMEZONE

- return: of onset datetimes with UTC from/to offsets

array expand_timezone_onsets ( $vResource, $range_start, $range_end, int $offset_from)

- object $vResource: is a VCALENDAR with a VTIMEZONE containing components needing expansion
- object $range_start: A RepeatRuleDateTime which is the beginning of the range for events.
- object $range_end: A RepeatRuleDateTime which is the end of the range for events.
- int $offset_from: The offset from UTC in seconds at the onset time.

Documentation generated on Fri, 13 Jan 2012 23:44:55 +1300 by phpDocumentor 1.4.3